import { Params } from '@angular/router';
import { AppStateService } from '../../../services/AppStateService';
import { ClientSettingsService } from '../../../services/ClientSettingsService';
import { DisplayStateService } from '../../../services/DisplayStateService';
import { WebPlatformApiService } from '../../../services/WebPlatformApiService';
import { ContextMatchingRule, LandingPageConfig, LandingPageLayoutGroup, LandingPageView, WidgetConfiguration } from './../../../interfaces/WidgetInterfaces';
export interface ExternalWidgetConfig extends WidgetConfiguration {
    external: boolean;
    source: string;
    instanceName: string;
}
export declare class LandingPageUtilities {
    private WebPlatformApiService;
    private appStateService;
    private displayStateService;
    private clientSettingsService;
    private landingConfig;
    isAdmin: boolean;
    userFilter: string;
    wcList: WidgetConfiguration[];
    extWcList: ExternalWidgetConfig[];
    contextTree: any;
    extContextTree: any;
    externalLinks: {
        title: string;
        desc: string;
        url: string;
        groupLabel: string;
        include_in_views?: string[];
    }[];
    views: LandingPageView[];
    selectedView: LandingPageView;
    layoutResults: LandingPageLayoutGroup[];
    layoutResultsAll: LandingPageLayoutGroup[];
    layoutColsClass: string;
    static RulesIfCandidate(wc: WidgetConfiguration): ContextMatchingRule[];
    constructor(WebPlatformApiService: WebPlatformApiService, appStateService: AppStateService, displayStateService: DisplayStateService, clientSettingsService: ClientSettingsService, landingConfig: LandingPageConfig);
    Refresh(): void;
    setInitialView(): void;
    buildContextTree(external?: string): void;
    applyView(viewName?: string): void;
    addViewItemsByTags(external: boolean): void;
    addViewItemsByContext(external: boolean): void;
    buildExtLinkWithContext(ctx: any, source: string): string;
    applyGroupFilter(group: string): void;
    applySearch(searchString?: string): void;
    addExternalLinks(ctx?: Params): void;
}
